﻿using HTML_Table_jQuery_MVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HTML_Table_jQuery_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public JsonResult AjaxMethod(int pageIndex)
        {
            NorthwindEntities entities = new NorthwindEntities();
            CustomerModel model = new CustomerModel();
            model.PageIndex = pageIndex;
            model.PageSize = 10;
            model.RecordCount = entities.Customers.Count();
            int startIndex = (pageIndex - 1) * model.PageSize;
            model.Customers = (from customer in entities.Customers
                               select customer)
                            .OrderBy(customer => customer.CustomerID)
                            .Skip(startIndex)
                            .Take(model.PageSize).ToList();
            return Json(model);
        }
    }
}